Bug 121652 - Broken symlink at /usr/lib/qt-3.3/doc/qt-devel-3.3.1
Broken symlink at /usr/lib/qt-3.3/doc/qt-devel-3.3.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-24 13:18 EDT by Jon Burgess
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 19:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2004-04-24 13:18:48 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, 
like Gecko) 
 
Description of problem: 
My machine is running FC1 + QT-3.3.1 + KDE-3.2.2, but the same 
problem also appears to be present in the latest QT development RPM. 
 
The qt-devel package contains a broken link 
at /usr/lib/qt-3.3/doc/qt-devel-3.3.1 
 
# ls -l /usr/lib/qt-3.3/doc/qt-devel-3.3.1 
lrwxrwxrwx    1 root     root           30 Mar 20 
15:44 /usr/lib/qt-3.3/doc/qt-devel-3.3.1 
-> ../../share/doc/qt-devel-3.3.1 
 
Which is pointing at /usr/lib/share/doc/... which is wrong. 
It should point at /usr/share/doc/... (or ../../../share/) 
 
The bad link appears to be created in the spec file: 
 
qt.spec: 
... 
# make symbolic link to qt docdir 
if echo %{_docdir} | grep  share >& /dev/null ; then 
  ln -s  ../../share/doc/%{name}-devel-%{version} 
%{buildroot}%{qtdir}/doc 
else 
  ln -s  ../../doc/%{name}-devel-%{version} %{buildroot}%{qtdir}/doc 
fi 
 
I believe this should be "ln -s ../../../share/doc" 
 
 
Version-Release number of selected component (if applicable): 
qt-devel-3.3.1-0.2 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Install qt-devel 
2. ls -l /usr/lib/qt-3.3/doc/qt-devel-3.3.1 
3. Reports broken link 
     
 
Additional info:
Comment 1 Ngo Than 2004-05-04 19:09:03 EDT
it's fixed in qt-3.3.2-2. Thanks for your report 

Note You need to log in before you can comment on or make changes to this bug.